Android Plugin 2.2.0-alpha1 fails to compile with Kotlin

After upgrading to Android build tools 2.2.0-alpha1. I can't configure the Application or build. I get the following stack trace from gradle: e: java.lang.IllegalStateException: Built-in library